Parmi les bulletins publiés aujourd’hui, celui relatif à Excel (MS07-044) m’interpelle. En effet, il concerne toutes les versions actuellement supportées de Microsoft Office à l’exception de Microsoft Office 2007.

La criticité de la faille corrigée par ce bulletin est critique sur Microsoft Office 2000 quand elle n’est qu’importante sur Microsoft Office XP et Microsoft Office 2003. Cette situation démontre, une fois de plus, l’intérêt d’utiliser des versions récentes pour éviter de se voir exposé, mais là n’est pas mon propos.

Si j'en juge par sa page de la politique de support, Microsoft Office 2000 est encore en phase d’extension de support jusqu’au 14 juillet 2009. Mais l’un des moyens de savoir si les correctifs sont installés ou non sur cette édition consiste à utiliser Microsoft Baseline Security Analyser (MBSA) dans sa version 1.2.1. Or celui-ci ne sera plus maintenu à partir du 7 octobre prochain.

La fiche technique 914791 fournit des détails de cette situation. Elle renvoie, en particulier, sur la fiche 895660 contenant le liste des produits supportés par la versions 1.2.1 et 2.0 de MBSA. Parmi les produits qui ne sont supportés que par la version 1.2.1 figure Microsoft Office 2000.

Le premier conseil que je peux donner est de planifier rapidement un passage dans une version plus récente d’Office. Le second serait d’utiliser la version réduite de Shavlik NetChk comme présenté sur :

http://www.shavlik.com/products/netchk-limited.aspx